Subject: WILD MEXICAN YAM IS IT DANGEROUS TO PREGNANT WOMEN????

From: [email-masked] (MJack23307)
Date: 28 Jan 1996 04:30:49 -0500

I am looking for information on wild mexican yam.  It was said to me that
it was used by the indiams of mexico as a natural birth control.  I want
anyone with any info good or bad to send, e-mail or fax it to me thanks.

MC Jackson
po box 727
covington ga 30210
770-786-9660